<template>
  <div>
    <h1 class="mb-6">Do you smoke?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="selected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <CommonBtn
      text="Next"
      :disabled="!selected"
      @click="$emit('nextStage')"
    />
  </div>
</template>

<script>
import {answersMixin} from "@/utils/mixins";
import RadioInput from "@/components/inputs/RadioInput";
import CommonBtn from "@/components/common/CommonBtn";

export default {
  components: {CommonBtn, RadioInput},
  mixins: [answersMixin],
  name: "YourHealth30",
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_30')
    }
  },
  data() {
    return {
      selected: null,
      choices: [
        'Yes',
        'No',
      ]
    }
  }
}
</script>

<style scoped>

</style>
